Index: XIOS/dev/dev_olga/src/interface/fortran_attr/ivariablegroup_attr.F90
===================================================================
--- XIOS/dev/dev_olga/src/interface/fortran_attr/ivariablegroup_attr.F90	(revision 983)
+++ XIOS/dev/dev_olga/src/interface/fortran_attr/ivariablegroup_attr.F90	(revision 1158)
@@ -12,5 +12,5 @@
 
   SUBROUTINE xios(set_variablegroup_attr)  &
-    ( variablegroup_id, group_ref, name, type )
+    ( variablegroup_id, group_ref, name, ts_target, type )
 
     IMPLICIT NONE
@@ -19,4 +19,5 @@
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: group_ref
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: name
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: ts_target
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: type
 
@@ -24,10 +25,10 @@
       (variablegroup_id,variablegroup_hdl)
       CALL xios(set_variablegroup_attr_hdl_)   &
-      ( variablegroup_hdl, group_ref, name, type )
+      ( variablegroup_hdl, group_ref, name, ts_target, type )
 
   END SUBROUTINE xios(set_variablegroup_attr)
 
   SUBROUTINE xios(set_variablegroup_attr_hdl)  &
-    ( variablegroup_hdl, group_ref, name, type )
+    ( variablegroup_hdl, group_ref, name, ts_target, type )
 
     IMPLICIT NONE
@@ -35,13 +36,14 @@
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: group_ref
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: name
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: ts_target
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: type
 
       CALL xios(set_variablegroup_attr_hdl_)  &
-      ( variablegroup_hdl, group_ref, name, type )
+      ( variablegroup_hdl, group_ref, name, ts_target, type )
 
   END SUBROUTINE xios(set_variablegroup_attr_hdl)
 
   SUBROUTINE xios(set_variablegroup_attr_hdl_)   &
-    ( variablegroup_hdl, group_ref_, name_, type_ )
+    ( variablegroup_hdl, group_ref_, name_, ts_target_, type_ )
 
     IMPLICIT NONE
@@ -49,4 +51,5 @@
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: group_ref_
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: name_
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: ts_target_
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: type_
 
@@ -61,4 +64,9 @@
       ENDIF
 
+      IF (PRESENT(ts_target_)) THEN
+        CALL cxios_set_variablegroup_ts_target &
+      (variablegroup_hdl%daddr, ts_target_, len(ts_target_))
+      ENDIF
+
       IF (PRESENT(type_)) THEN
         CALL cxios_set_variablegroup_type &
@@ -69,5 +77,5 @@
 
   SUBROUTINE xios(get_variablegroup_attr)  &
-    ( variablegroup_id, group_ref, name, type )
+    ( variablegroup_id, group_ref, name, ts_target, type )
 
     IMPLICIT NONE
@@ -76,4 +84,5 @@
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: group_ref
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: name
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: ts_target
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: type
 
@@ -81,10 +90,10 @@
       (variablegroup_id,variablegroup_hdl)
       CALL xios(get_variablegroup_attr_hdl_)   &
-      ( variablegroup_hdl, group_ref, name, type )
+      ( variablegroup_hdl, group_ref, name, ts_target, type )
 
   END SUBROUTINE xios(get_variablegroup_attr)
 
   SUBROUTINE xios(get_variablegroup_attr_hdl)  &
-    ( variablegroup_hdl, group_ref, name, type )
+    ( variablegroup_hdl, group_ref, name, ts_target, type )
 
     IMPLICIT NONE
@@ -92,13 +101,14 @@
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: group_ref
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: name
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: ts_target
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: type
 
       CALL xios(get_variablegroup_attr_hdl_)  &
-      ( variablegroup_hdl, group_ref, name, type )
+      ( variablegroup_hdl, group_ref, name, ts_target, type )
 
   END SUBROUTINE xios(get_variablegroup_attr_hdl)
 
   SUBROUTINE xios(get_variablegroup_attr_hdl_)   &
-    ( variablegroup_hdl, group_ref_, name_, type_ )
+    ( variablegroup_hdl, group_ref_, name_, ts_target_, type_ )
 
     IMPLICIT NONE
@@ -106,4 +116,5 @@
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: group_ref_
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: name_
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: ts_target_
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: type_
 
@@ -118,4 +129,9 @@
       ENDIF
 
+      IF (PRESENT(ts_target_)) THEN
+        CALL cxios_get_variablegroup_ts_target &
+      (variablegroup_hdl%daddr, ts_target_, len(ts_target_))
+      ENDIF
+
       IF (PRESENT(type_)) THEN
         CALL cxios_get_variablegroup_type &
@@ -126,5 +142,5 @@
 
   SUBROUTINE xios(is_defined_variablegroup_attr)  &
-    ( variablegroup_id, group_ref, name, type )
+    ( variablegroup_id, group_ref, name, ts_target, type )
 
     IMPLICIT NONE
@@ -135,4 +151,6 @@
       LOGICAL, OPTIONAL, INTENT(OUT) :: name
       LOGICAL(KIND=C_BOOL) :: name_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: ts_target
+      LOGICAL(KIND=C_BOOL) :: ts_target_tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: type
       LOGICAL(KIND=C_BOOL) :: type_tmp
@@ -141,10 +159,10 @@
       (variablegroup_id,variablegroup_hdl)
       CALL xios(is_defined_variablegroup_attr_hdl_)   &
-      ( variablegroup_hdl, group_ref, name, type )
+      ( variablegroup_hdl, group_ref, name, ts_target, type )
 
   END SUBROUTINE xios(is_defined_variablegroup_attr)
 
   SUBROUTINE xios(is_defined_variablegroup_attr_hdl)  &
-    ( variablegroup_hdl, group_ref, name, type )
+    ( variablegroup_hdl, group_ref, name, ts_target, type )
 
     IMPLICIT NONE
@@ -154,14 +172,16 @@
       LOGICAL, OPTIONAL, INTENT(OUT) :: name
       LOGICAL(KIND=C_BOOL) :: name_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: ts_target
+      LOGICAL(KIND=C_BOOL) :: ts_target_tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: type
       LOGICAL(KIND=C_BOOL) :: type_tmp
 
       CALL xios(is_defined_variablegroup_attr_hdl_)  &
-      ( variablegroup_hdl, group_ref, name, type )
+      ( variablegroup_hdl, group_ref, name, ts_target, type )
 
   END SUBROUTINE xios(is_defined_variablegroup_attr_hdl)
 
   SUBROUTINE xios(is_defined_variablegroup_attr_hdl_)   &
-    ( variablegroup_hdl, group_ref_, name_, type_ )
+    ( variablegroup_hdl, group_ref_, name_, ts_target_, type_ )
 
     IMPLICIT NONE
@@ -171,4 +191,6 @@
       LOGICAL, OPTIONAL, INTENT(OUT) :: name_
       LOGICAL(KIND=C_BOOL) :: name__tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: ts_target_
+      LOGICAL(KIND=C_BOOL) :: ts_target__tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: type_
       LOGICAL(KIND=C_BOOL) :: type__tmp
@@ -186,4 +208,10 @@
       ENDIF
 
+      IF (PRESENT(ts_target_)) THEN
+        ts_target__tmp = cxios_is_defined_variablegroup_ts_target &
+      (variablegroup_hdl%daddr)
+        ts_target_ = ts_target__tmp
+      ENDIF
+
       IF (PRESENT(type_)) THEN
         type__tmp = cxios_is_defined_variablegroup_type &
